com.qualcomm.ftccommon

## Class FtcWifiDirectRememberedGroupsActivity

- java.lang.Object
- - ThemedActivity
  - - com.qualcomm.ftccommon.FtcWifiDirectRememberedGroupsActivity

-     public class FtcWifiDirectRememberedGroupsActivity
      extends ThemedActivity

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `FtcWifiDirectRememberedGroupsActivity.RecvLoopCallback`
    `protected class` | `FtcWifiDirectRememberedGroupsActivity.WifiP2pGroupItemAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtcWifiDirectRememberedGroupsActivity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<WifiDirectGroupName>` | `getLocalGroupList()`
    `java.lang.String` | `getTag()`
    `protected CallbackResult` | `handleCommandRequestRememberedGroupsResp(java.lang.String extra)`
    `protected CallbackResult` | `handleRememberedGroupsChanged()`
    `protected void` | `loadGroupList(java.util.List<WifiDirectGroupName> names)`
    `protected void` | `loadLocalGroups()`
    `void` | `onClearRememberedGroupsClicked(View view)`
    `protected void` | `onCreate(Bundle savedInstanceState)`
    `protected void` | `onDestroy()`
    `protected void` | `onStart()`
    `protected void` | `requestRememberedGroups()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FtcWifiDirectRememberedGroupsActivity

          public FtcWifiDirectRememberedGroupsActivity()

  - ### Method Detail

    - #### getTag

          public java.lang.String getTag()

    - #### onCreate

          protected void onCreate(Bundle savedInstanceState)

    - #### onStart

          protected void onStart()

    - #### onDestroy

          protected void onDestroy()

    - #### loadLocalGroups

          protected void loadLocalGroups()

    - #### requestRememberedGroups

          protected void requestRememberedGroups()

    - #### handleCommandRequestRememberedGroupsResp

          protected CallbackResult handleCommandRequestRememberedGroupsResp(java.lang.String extra)
                                                                     throws RobotCoreException

      Throws:
        `RobotCoreException`

    - #### handleRememberedGroupsChanged

          protected CallbackResult handleRememberedGroupsChanged()

    - #### getLocalGroupList

          protected java.util.List<WifiDirectGroupName> getLocalGroupList()

    - #### loadGroupList

          protected void loadGroupList(java.util.List<WifiDirectGroupName> names)

    - #### onClearRememberedGroupsClicked

          public void onClearRememberedGroupsClicked(View view)